
TYPO3.Media - Feature # 47428

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2013-04-22 Assigned To: Karsten Dambekalns
Updated: 2013-06-17 Due date:
Subject: Provide Asset base class
Description

Related issues:
related to Base Distribution - Work Package # 45003: Media Browser Accepted

Associated revisions
Revision 6a69ac3f - 2013-05-24 11:40 - Karsten Dambekalns

[FEATURE] Add Asset classes and adjust Image

Adds a base class and an interface for assets. The Image is adjusted
to use this and classes for Document, Video and Audio are added.

A new AssetRepository allows retrieval of assets.

Change-Id: I53af34412768f2e51e952d212218299ac124487f
Resolves: #47428
Resolves: #47262
Related: #45003

History
#1 - 2013-04-22 15:38 - Karsten Dambekalns

This can be tested now by using the fork of TYPO3.Media ()

Add this to your root composer manifest:
"repositories" : [
  {
    "type": "git",
    "url": "https://kdambekalns@github.com/mgoldbeck/TYPO3.Media.git" 
  }
]

…

"require": {
  …
  "typo3/media": "dev-asset-model as dev-master" 
}

composer update will pull in the changes and a flow doctrine:migrate will adjust the schema as needed. If you want to go back, migrate down first and
then go back to the original code.
#2 - 2013-04-22 18:11 - Karsten Dambekalns

The github PR has been merged, the "dev-asset-model" alias is no longer needed.

#3 - 2013-05-22 13:40 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20973

#4 - 2013-05-22 15:07 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#5 - 2013-05-24 11:40 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20973

#6 - 2013-06-17 13:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6a69ac3f71599681462356bf3a3614247c851264.
